<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Allgemein\PersoenlicheDaten\PersoenlicheDaten;

class PersoenlicheDatenMaUseCase extends PersoenlicheDatenUseCase
{
  public static function getToolSectionId()
  {
    return 92;
  }

  protected function isBearbeitbar()
  {
    return $this->isRechtAllowed('92.0.1');
  }

  protected function getPerson($user)
  {
    $dbwBenutzer = new \DBWorkBASysUser(1, true);

    return $dbwBenutzer->getBasysUser($user->ben);
  }
}